--- old/usr/src/uts/i86pc/sys/asm_misc.h	Wed Oct  9 03:12:30 2019
+++ new/usr/src/uts/i86pc/sys/asm_misc.h	Wed Oct  9 03:12:30 2019
@@ -21,7 +21,7 @@
 /*
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
- * Copyright 2017 Joyent, Inc.
+ * Copyright 2019 Joyent, Inc.
  */
 
 #ifndef _SYS_ASM_MISC_H
@@ -31,6 +31,11 @@
 extern "C" {
 #endif
 
+#define	RET_INSTR	0xc3
+#define	NOP_INSTR	0x90
+#define	STI_INSTR	0xfb
+#define	JMP_INSTR	0x00eb
+
 #ifdef _ASM	/* The remainder of this file is only for assembly files */
 
 /* Load reg with pointer to per-CPU structure */
@@ -42,12 +47,6 @@
 	movl	%gs:CPU_SELF, reg;
 #endif
 
-#define	RET_INSTR	0xc3
-#define	NOP_INSTR	0x90
-#define	STI_INSTR	0xfb
-#define	JMP_INSTR	0x00eb
-
-
 #if defined(__i386)
 
 #define	_HOT_PATCH_PROLOG			\
